# The default font size for subtitles : 14, 18, 24 or 28
%define fontsize	18

# Default font encoding, you may easily change to iso-8859-2 if needed
%define	fontdir		iso-8859-1

Summary: Fonts for MPlayer.
Name: mplayer-fonts
Version: 1.0
Release: 7%{?dist}
Epoch: 4
License: GPL
Group: Applications/Multimedia
URL: http://mplayerhq.hu/
Source2: ftp://ftp.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-1.tar.bz2
Source3: ftp://ftp.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-2.tar.bz2
Source4: ftp://ftp.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-7.tar.bz2
Source5: ftp://ftp.mplayerhq.hu/MPlayer/releases/fonts/font-arial-cp1250.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

%description
Fonts for MPlayer.

%prep

%build

%install
rm -rf %{buildroot}

# The font for the subtitles
mkdir -p %{buildroot}%{_datadir}/mplayer
cd  %{buildroot}%{_datadir}/mplayer
tar -jxf %{SOURCE2}
tar -jxf %{SOURCE3}
tar -jxf %{SOURCE4}
tar -jxf %{SOURCE5}
chmod -R go+rX .
ln -s -f font-arial-%{fontdir}/font-arial-18-iso-8859-1 font

%clean
rm -rf %{buildroot}

%pre
mv %{_datadir}/mplayer/font %{_datadir}/mplayer/font.rpmsave > /dev/null 2>&1
rm -f %{_datadir}/mplayer/font.rpmsave 2>&1 || :

%files
%defattr(-,root,root,-)
%{_datadir}/mplayer/*

%changelog
* Tue Oct  7 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to newer fonts.

* Tue Apr 15 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Split off fonts from main package.


